Bug 308227

Summary: Changing ideintities (that have different custom template) in composer window doesn't take effect for the message body
Product: kmail2 Reporter: Pal Körössy <p1037905>
Component: composerAssignee: kdepim bugs <kdepim-bugs>
Status: RESOLVED FIXED    
Severity: normal CC: montel
Priority: NOR    
Version: 4.9.2   
Target Milestone: ---   
Platform: openSUSE RPMs   
OS: Linux   
Latest Commit: Version Fixed In: 4.10

Description Pal Körössy 2012-10-11 10:27:00 UTC
I use two different identities configured to use their own, different message templates (in Setting/Configure_Kmail/Identities configuration dialog box on Templates tab).
Replying to a message in the composer window and changing identity, except from the signature, the custom templates don't take effect for the message body. 

Reproducible: Always

Steps to Reproduce:
1. Set up two different identities (one default id1 and one other id2) and configure them to use their own message templates.
2. Create two different reply template (using different fields, different language etc.)
3. Reply to a message, the composer window comes up with  the default identity and the field contents according to the reply template confugured to the default identity.
4. Change the identity to id2. 
Actual Results:  
The content of the message body window doesn't change except to the signature.

Expected Results:  
The content of the message body window should be changed according to the content of the template of id2.
Comment 1 Laurent Montel 2012-11-15 12:09:55 UTC
Git commit 88c5386deda06f635fcdce8bc40957aaaa0c7b67 by Montel Laurent.
Committed on 15/11/2012 at 13:09.
Pushed by mlaurent into branch 'master'.

Fix Bug 308227 - Changing identities (that have different custom

template) in composer window doesn't take effect for the message body

FIXED-IN: 4.10

M  +1    -0    kmail/composer.h
M  +24   -6    kmail/kmcomposewin.cpp
M  +5    -2    kmail/kmcomposewin.h
M  +3    -1    kmail/kmkernel.cpp
M  +1    -0    kmail/kmmainwidget.cpp
M  +1    -0    kmail/util.cpp
M  +27   -4    messagecomposer/composerviewbase.cpp
M  +3    -1    messagecomposer/composerviewbase.h

http://commits.kde.org/kdepim/88c5386deda06f635fcdce8bc40957aaaa0c7b67